Tugas_1/urls.py
from django.conf.urls import url,include
from django.contrib import admin
import add_friends.urls as add_friends
import update_status.urls as update_status
import user_profile.urls as user_profile
import user_stats.urls as user_stats

urlpatterns = [
    url(r'', include(update_status,namespace='update-status')),
    url(r'^admin/', admin.site.urls),
    url(r'^add-friends/', include(add_friends,namespace='add-friends')),
    url(r'^user-profile/', include(user_profile,namespace='user-profile')),
    url(r'^user-stats/', include(user_stats,namespace='user-stats')),
]

add_friends/urls.py
from django.conf.urls import url
from add_friends.views import index,add_friend,remove_friend

urlpatterns = [
    url(r'^$' , index, name='index'),
    url(r'^add_friend', add_friend, name='add_friend'),
    url(r'^remove_friend/(?P<obj_id>[0-9]+)',remove_friend, name='remove_friend'),
]

update_status/urls.py
from django.conf.urls import url
from .views import index, add_comment

urlpatterns = [
    url(r'^$' , index, name='index'),
    url(r'^(?P<status_id>\d+)/$', add_comment, name='add_comment')
]

user_profile/urls.py
from django.conf.urls import url
from .views import index,edit

urlpatterns = [
    url(r'^$', index , name='index'),
    url(r'^edit-profile', edit , name='edit'),
]

user_stats/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
    url(r'^$', index , name='index'),
]

add_friends/models.py
from django.db import models

# Create your models here.
class AddFriends(models.Model):
    name = models.CharField(max_length=27)
    url = models.URLField()
    added_date = models.DateTimeField(auto_now=True)
    

update_status/models.py
from django.db import models


class Status(models.Model):

    status = models.TextField()
    created_at = models.DateTimeField(auto_now_add=True)

    class Meta:
        verbose_name_plural = "Statuses"
        ordering = ['-created_at']


class Comment(models.Model):

    comment = models.TextField()
    created_at = models.DateTimeField(auto_now_add=True)

    status = models.ForeignKey(
        Status,
        on_delete=models.CASCADE,
        related_name="comments")

    class Meta:
        ordering = ['created_at']

user_profile/models.py
from django.db import models

# Create your models here.

user_stats/models.py
from django.db import models

# Create your models here.

add_friends/forms.py
from django import forms
from add_friends.models import AddFriends

class AddFriendsForm(forms.ModelForm):
    name = forms.CharField(
        widget=forms.TextInput(attrs={
            'class': 'add-friends-input-name',
            'placeholder':' Add by username',
        })
    )

    url = forms.URLField(
        widget=forms.URLInput(attrs={
             'class': 'add-friends-input-url',
             'placeholder':' Insert url here',
        })
    )

    class Meta:
        model = AddFriends
        fields = ['name','url']        

        

			
			

update_status/forms.py
from django import forms
from update_status.models import Status, Comment


class StatusForm(forms.ModelForm):
    status = forms.CharField(
        widget=forms.Textarea(attrs={
            'class': 'form-control',
            'rows': 3,
            'id': 'id_status',
            'placeholder': 'What\'s happening?'
        })
    )

    class Meta:
        model = Status
        fields = ['status']


class CommentForm(forms.ModelForm):

    class Meta:
        model = Comment
        fields = ['comment', 'status']

add_friends/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from add_friends.models import AddFriends
from add_friends.forms import AddFriendsForm
from assets.config import PROFILE_PICTURE, COVER_PICTURE

# Create your views here.
response = {}
def index(request):
    response['add_friends_form'] = AddFriendsForm
    added = AddFriends.objects.all()
    response['added'] = added
    response['profile_picture'] = PROFILE_PICTURE
    response['cover_picture'] = COVER_PICTURE
    html = 'add_friends.html'
    return render(request,html,response)

def add_friend(request):
    form = AddFriendsForm(request.POST)
    if(request.method == 'POST' and form.is_valid()):
        response['name'] = request.POST['name']
        response['url'] = request.POST['url']
        added = AddFriends(name=response['name'],url=response['url'])
        added.save()
        return HttpResponseRedirect('/add-friends/')
    else:
        return HttpResponseRedirect('/add-friends/')

def remove_friend(request,obj_id):
    friend = AddFriends.objects.get(pk=obj_id)
    friend.delete()
    return HttpResponseRedirect('/add-friends/')

update_status/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import render
from update_status.models import Status
from update_status.forms import StatusForm, CommentForm
from assets.config import NAME, IMAGE


def index(request):
    response = {}
    html = 'update_status.html'

    response = {
        'statuses': Status.objects.all(),
        'form': StatusForm(),
        'user': {
            'name': NAME,
            'imgurl': IMAGE
        },
    }

    if request.method == 'POST':
        response['form'] = StatusForm(request.POST)
        if response['form'].is_valid():
            response['form'].save()

    return render(request, html, response)


def add_comment(request, status_id):
    if request.method == "POST":
        form = CommentForm({
            'status': status_id,
            'comment': request.POST['comment']
        })
        if form.is_valid():
            form.save()

    return HttpResponseRedirect(request.META.get('HTTP_REFERER'))

user_profile/views.py
from django.shortcuts import render
from assets.config import NAME, IMAGE
# Create your views here.
expertise = ['Bald','Enemies with Squidward','Lives on 150 Shell Street']
response = {}
def index(request):
    response['author'] = NAME
    response['profile_picture'] = IMAGE
    response['birthday'] = "14 July"
    response['gender'] = "Male"
    response['expertise'] = expertise
    response['description'] = "Last customer who SpongeBob and Squidward were required to learn the name of in the episode Good Ol Whatshisname to win a prize."
    response['email'] = "mrwhatzit@tooya.com"
    html = 'user_profile.html'
    return render(request,html,response)

def edit(request):
    response['profile_picture'] = IMAGE
    html = 'edit_profile.html'
    return render(request,html,response)

user_stats/views.py
from django.shortcuts import render
from add_friends.models import AddFriends
from update_status.models import Status
from assets.config import NAME, IMAGE

# Create your views here.

response = {}

def index(request):
    html = 'user_stats.html'
    response['author'] = NAME
    response['image'] = IMAGE
    friends = AddFriends.objects.count()
    response['friends'] = friends
    feeds = Status.objects.count()
    response['feeds'] = feeds
    if(feeds!=0):
        latest_post = Status.objects.first()
        response['latest_post'] = latest_post.status
        response['latest_post_date'] = latest_post.created_at
    return render(request,html,response)

add_friends/templates/add_friends.html
{% extends "base.html" %}

{% load static %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/add_friends.css' %}">
<link href="https://fonts.googleapis.com/css?family=Nunito|Open+Sans" rel="stylesheet">
{% endblock %}
{% block title %}
Add Friends
{% endblock %}
{% block content %}
<section name="add-friend" id="add-friend">
    <div class="container">
        <h4 class="flux">Add Friend</h4>
        <form id="form" method="POST" action="{% url 'add-friends:add_friend' %}">
                {% csrf_token %}
                {% for field in add_friends_form %}
                <div class="field_wrapper">
                    <table class="table table-borderless table-form">
                        <tr>
                            <td class="col sm-4">{{field.label}}</td>
                            <td class="col sm-8">{{field}}</td>
                        </tr>
                    </table>
                </div>
            {% endfor %}
            <input id="add_friend" type="submit" class="btn btn-lg btn-block btn-primary" value="Add Friend">
            <br>
        </form>
    </div>
</section>
<section name="added_friend" id="added_friend">
    <div class="container">
        <h4 class="neon">List Friend</h4>
        <div class="flex">
            {% if added %}          
                {% for friends in added %}
                    <div class="flex-item" id="flex-item">
                            <div id="f1_container">
                                    <div id="f1_card" class="shadow">
                                      <div class="front face">
                                        <img class="added-friend-cover" src="{% static 'img/cover.png' %}"/>
                                        <h5 class="added-friend-h5">{{friends.name}}</h5>
                                      </div>
                                      <div class="back face center">
                                            <div class="remove-friend-list" data-id="{{friends.id}}">
                                                <a class="remove-url" href="{% url 'add-friends:remove_friend' obj_id=friends.id %}" title="remove friend"><i class="fa fa-times fa-lg" aria-hidden="true"></i></a>
                                            </div>
                                            <img class='added-friends-img' src="{{profile_picture}}">
                                            <h5 class= 'added-friends-name'>{{friends.name}}</h5>
                                            <h5><a class='added-friends-url' href="{{friends.url}}">{{friends.url}}</a></h5>
                                            <h6 class='add-friends-timeadd'>Added {{friends.added_date|date:"j F Y G:i:s"}}</h6>
                                      </div>
                                    </div>
                                    </div>
                    </div>                      
                {% endfor %}
        </div>
        {% else %}
        <div class="alert alert-danger text-center">
            <strong> No friends added.</strong>
        </div>
    {% endif %}
    </div>
</section>

{% endblock %}

templates/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="LAB 5">
    <meta name="author" content="{{author}}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">    
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
    
    {% block head %}
    {% endblock %}
    <title>{% block title %}{% endblock %}</title>
</head>

<style>
    body{
        background-image: url("https://image.ibb.co/b8MTQb/darkness.png");
        background-repeat: repeat;
        }
</style>

<body>
    <header>
        {% include "partials/header.html" %}
    </header>
    <content>
        {% block content %}

        {% endblock %}
    </content>
    <footer>
        {% block footer %}
        {% include "partials/footer.html" %}
        {% endblock %}
    </footer>
    <!-- Jquery n Bootstrap Script -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js  " integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
</body>
</html>

templates/partials/footer.html
<!-- <p>&copy; Kel.7</p> -->

templates/partials/header.html
<nav class="navbar navbar-default navbar-expand-lg navbar-light bg-light" style="margin: 0px">
  <a class="navbar-brand" href="/">Ling In</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
	<span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
	<ul class="navbar-nav">
	  <li class="nav-item">
		<a class="nav-link" href="/">Status</a>
	  </li>
	  <li class="nav-item" >
		<a class="nav-link" href="/user-profile/">Profile</a>
	  </li>
	  <li class="nav-item">
		<a class="nav-link" href="/add-friends/">Friends</a>
	  </li>
	  <li class="nav-item">
		<a class="nav-link" href="/user-stats/">Stats</a>
	  </li>
	</ul>
  </div>
</nav>

update_status/templates/temp.html
{% if status.comments.all|length > 3 %}
        <div class="post-comment">
            <p class="post-comment-content">
                click here to see other {{status.comments.all|length|add:-3}} replies...
            </p>
        </div>
        {% endif %}

update_status/templates/update_status.html
{% extends "base.html" %}
{% load static %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/update_status.css' %}">
<link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
{% endblock %}

{% block title %}
Update Status
{% endblock %}

{% block content %}
<div class="root-container">
<div class="forms">
    <h1>{{ user.name }}'s posts</h1>
    <div class="row">
        <div class="col">
            {{ form.non_field_errors }}
            <form class="mt-4 mkokb-4" id="form" method="POST" action="{% url 'update-status:index' %}">
                {% csrf_token %}
                <div class="form-group">
                    <label for="{{ form.status.id_for_label }}">Update Status</label>
                    {{ form.status }}
                </div>
                <button type="submit" class="btn btn-primary float-right">Post</button>
            </form>
        </div>
    </div>
</div>

<div class="posts">
    {% for status in statuses %}
    <div class="post">
        <div class='post-header'>
            <img class='post-header-img' src="{{ user.imgurl }}">
            <div class='post-header-section'>
            <a class="post-header-name" href="{% url 'user-profile:index' %}">{{ user.name }}</a>
            <h6 class='post-header-timestamp'>{{ status.created_at|date:"j F Y \a\t H:i" }}</h6>
            </div>
        <i class="material-icons">close</i>
        </div>
        <div class='post-content'>
        {{ status.status }}
        </div>
        {% for comment in status.comments.all.reverse reversed %}
        <div class="post-comment">
            <div class="person-icon">
                <i class="material-icons">person</i>
            </div>
            <p class="post-comment-content">
                <b>Anonymous</b> {{comment.comment}}
            </p>
        </div>
        {% endfor %}
        <div class='post-comment'>
            <form method="POST" action="{% url 'update-status:add_comment' status.id %}">
                {% csrf_token %}
                <input class="post-comment-input-text" name="comment" type="text" placeholder="Write a comment...">
                <button type="submit" class="post-comment-input-submit">Post</button>
            </form>
        </div>
    </div>
    {% endfor %}
    <div style="height: 20px"></div>
</div>
</div>
{% endblock %}

user_profile/templates/edit_profile.html
{% extends "base.html" %}
{% load static %}   
{% block title %}
Profile
{% endblock %}
{% block content %}
<!DOCTYPE html>
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha256-3dkvEK0WLHRJ7/Csr0BZjAWxERc5WH7bdeUya2aXxdU= sha512-+L4yy6FRcDGbXJ9mPG8MT/3UCDzwR9gPeyFNMCtInsol++5m3bk2bXWKdZjvybmohrAsn3Ua5x8gfLnbE1YkOg==" crossorigin="anonymous">
    <!-- Bootstrap Core CSS -->
<!--     <link href="css/bootstrap.min.css" rel="stylesheet"> -->
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet" integrity="sha256-7s5uDGW3AHqw6xtJmNNtr+OBRJUlgkNJEo78P4b0yRw= sha512-nNo+yCHEyn0smMxSswnf/OnX6/KwJuZTlNZBjauKhTK0c+zT+q5JOCx0UFhXQ6rJR9jg6Es8gPuD2uZcYDLqSw==" crossorigin="anonymous">

<div class="container">
    <center>
        <h2 style="color:aliceblue">FORM REQUIREMENTS</h2>
        <img src="{{profile_picture}}" name="aboutme" width="140" height="140" border="0" class="img-circle" style="margin-bottom:20px">
    </center>   
    <div class="row">
        <!-- Form Name -->
        <form class="form-horizontal">
<fieldset>


<!-- Name -->
<div class="form-group">
    <label class="col-md-4 control-label" for="Name (Full name)" style="color:aliceblue">Name</label>  
    <div class="col-md-4">
        <div class="input-group">
            <div class="input-group-addon">
            <i class="fa fa-user">
            </i>
            </div>
            <input id="name" name="name" type="text" placeholder="{{author}}" class="form-control input-md">
        </div>
    </div>
</div>

<!-- Photo --> 
<div class="form-group">
    <label class="col-md-4 control-label" for="Upload photo" style="color:aliceblue">Upload photo</label>
    <div class="col-md-4">
        <input id="Upload photo" name="Upload photo" class="input-file" type="file">
    </div>
</div>

<!-- Birthday -->
<div class="form-group">
    <label class="col-md-4 control-label" for="Date Of Birth" style="color:aliceblue">Date Of Birth</label>  
    <div class="col-md-4">
        <div class="input-group">
            <div class="input-group-addon">
            <i class="fa fa-birthday-cake"></i>
            </div>
        <input id="bday" name="bday" type="text" placeholder="{{birthday}}" class="form-control input-md">
        </div>
    </div>
</div>

<!-- Gender -->
<div class="form-group">
    <label class="col-md-4 control-label" for="Gender" style="color:aliceblue">Gender</label>
    <div class="col-md-4"> 
        <label class="radio-inline" for="Gender-0">
            <input type="radio" name="Gender" id="Gender-0" value="1" checked="checked">
            Male
        </label> 
        <label class="radio-inline" for="Gender-1">
            <input type="radio" name="Gender" id="Gender-1" value="2">
            Female
        </label> 
    </div>
</div>

<!-- Expertise -->
<div class="form-group">
    <label class="col-md-4 control-label" for="Skills" style="color:aliceblue">Expertise</label>  
    <div class="col-md-4">
        <div class="input-group">
            <div class="input-group-addon">
            <i class="fa fa-cogs"></i>
            </div>
            <input id="expertise" name="expertise" type="espretise" placeholder="{{expertise}}" class="form-control input-md">
        </div>
    </div>
</div>

<!-- Description -->
<div class="form-group">
    <label class="col-md-4 control-label" for="Overview (max 200 words)" style="color:aliceblue">Description</label>
    <div class="col-md-4">                     
    <textarea class="form-control" rows="10"  id="description" name="description" placeholder="{{description}}"></textarea>
    </div>
</div>

<!-- Button -->
<div class="form-group">
    <label class="col-md-4 control-label" ></label>  
    <div class="col-md-4">
        <a href="#" class="btn btn-success" onclick="location.href='/user-profile'"><span class="glyphicon glyphicon-thumbs-up"></span> Submit</a>
        <a href="#" class="btn btn-danger" onclick="location.href='/user-profile'" value=""><span class="glyphicon glyphicon-remove-sign"></span> Clear</a>
    </div>
</div>
</fieldset>
</form>
</div>
</div>

</div>
<!-- jQuery Version 1.11.1 -->
<script src="js/jquery.js"></script>

<!-- Bootstrap Core JavaScript -->
<script src="js/bootstrap.min.js"></script>

</body>

</html>
{% endblock %}

user_profile/templates/user_profile.html
{% extends "base.html" %}
{% load static %}   
{% block title %}
Profile
{% endblock %}
{% block content %}
<body style="background-color: black"></body>
<div class="container">
    <center>
    <a href="#aboutModal" data-toggle="modal" data-target="#myModal"><img src="{{profile_picture}}" name="aboutme" width="140" height="140" class="img-circle" style="margin-top:100px"></a>
    <h3 style="color:aliceblue">{{author}}</h3>
    <em style="color:aliceblue">click my photo for more</em>
    </center>
    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true"> 
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <center>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                    <h4 class="modal-title" id="myModalLabel" style="font-weight:bold">PROFILE</h4>
                    </center>
                </div>
                <div class="modal-body">
                    <center>
                    <img src="{{profile_picture}}" name="aboutme" width="140" height="140" border="0" class="img-circle"></a>
                    <h3 class="media-heading">{{author}}</h3>
                    <p><strong>Birthday     :      </strong><small>{{birthday}}</small></p>
                    <p><strong>Gender       :      </strong><small>{{gender}}</small></p>
                    <span><strong>Expertise: </strong></span>
                        {% for expert in expertise %}
                            <span class="label label-info">{{expert}}</span>
                        {% endfor %}
                    </center>
                    <hr style="border-color:blue">
                    <center>
                    <p class="text-left"><strong>Description: </strong>
                        <br>{{description}}</br></p>
                    </center>
                    <center>
                    <hr style="border-color:blue">
                    <p><strong>Email       :      </strong><small></small>{{email}}</small></p>
                    </center>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-warning" onclick="location.href='/user-profile/edit-profile'">Edit Profile</button>
                    <button type="button" class="btn btn-info" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

user_stats/templates/user_stats.html
{% extends "base.html" %}

{% load static %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'css/user_stats.css' %}" id='theme'>
{% endblock %}
{% block title %}
Stats
{% endblock %}
{% block content %}
<div class="stats-outer">
    <div style="margin: 20px">
        <h3>Statistic</h3>
        <div class="stats">
            <img src="{{image}}" class="profile"/>
            <h1><a href="{% url 'user-profile:index' %}">{{ author }}</a></h1>
            <div>
                <div class="statistic-left">
                    <h3>Friends : {{ friends }} people</h3>
                </div>
                <div class="statistic-right">
                    <h3>Feeds : {{ feeds }} post</h3>
                </div>
            </div>
        </div>
		<div>
			<div class="latest-post">
				<div class="col">
					<h3> Latest Post: </h3>
					<div class="status">
						<div class="status-header">
							<img class="status-header-img" src="{{image}}">
							<div class="status-header-section">
								<h5 class="status-header-name"><a href="/user-profile/">{{ author }}</a></h5>
								<h6 class="status-header-timestamp">{{ latest_post_date|date:"j F Y \a\t H:i" }}</h6>
							</div>
						</div>
						<div class="status-content">
						{{ latest_post }}
						</div>
					</div>
				</div>
			</div>
		</div>
    </div>
    <div class="theme-section">
        <h3>Change Theme</h3>
        <button id='theme-light-button' class="button-theme">The Darknight Rises</button>
        <button id='theme-dark-button' class="button-theme">Basic Theme</button>
    </div>
</div>

<script>
        document.getElementById('theme-light-button').onclick = function () { 
            document.getElementById('theme').href ="{% static 'css/user_stats.css' %}";
            localStorage.setItem('theme-selector','light')
        };
        document.getElementById('theme-dark-button').onclick = function () { 
            document.getElementById('theme').href ="{% static 'css/darknight.css' %}";
            localStorage.setItem('theme-selector','dark')
        };
</script>

<script type="application/javascript">
        $(function() {
            $('a[href*="#"]:not([href="#"])').click(function() {
                if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
                var target = $(this.hash);
                target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
                if (target.length) {
                    $('html, body').animate({
                    scrollTop: target.offset().top - 55
                    }, 1000);
                    return false;
                }
                }
            });
            });
        if(localStorage.getItem('theme-selector')==null){
            localStorage.setItem('theme-selector','light')
        }else{
            if(localStorage.getItem('theme-selector')=='dark'){
                document.getElementById('theme').href ="{% static 'css/darknight.css' %}";
            }else{
                document.getElementById('theme').href ="{% static 'css/user_stats.css' %}";
            }
        }
        </script>
{% endblock %}